package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum EStructureType {
    /**
     * 架构一
     */
    JG1("架构一", 1),

    /**
     * 架构二
     */
    JG2("架构二", 2),

    /**
     * 架构三
     */
    JG3("架构三", 3),
    /**
     * 架构四
     */
    JG4("架构四", 4);
    /**
     * 实际值
     */
    private final String value;
    /**
     * 实际值（数字型）
     */
    private final int intValue;


}
